using Mall.Common.AOP;
using Mall.Common.Enum.MallBase;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 小程序页面实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_MiniProgram_Page
    {
        /// <summary>
        /// 主键编号
        /// </summary>        
        public int Id
        {
            get;
            set;
        }

        /// <summary>
        /// 页面Id
        /// </summary>        
        public int? PageId
        {
            get;
            set;
        }

        /// <summary>
        /// 小程序Id
        /// </summary>        
        public int? MallBaseId
        {
            get;
            set;
        }

        /// <summary>
        /// 自定义页面名称
        /// </summary>        
        public string SelfPageName
        {
            get;
            set;
        }
    }
}
